<?
/**
 * @package     Joomla.Site
 * @subpackage  mod_contactform_masterpro
 *
 * @copyright   Pavel Alexeev (aka Pahan-Hubbitus) <Pahan@hubbitus.info>
 * @created 23.06.2014 19:46:04
 **/

/**
* Class for handle sending parameters dependent on City and Vacancies administration settings.
* In database stored as text (one field) like:
* Москва + плотник + mail1@mail.msk
* Москва + дизайнер + mail1@mail.msk
* Питер + слесарь + mail2@mail.spb
* Москва + сантехник + mail1@mail.msk
* Питер + маляр + mail1@mail.spb
* Питер + лодырь + mail2@mail.spb
* Москва + слесарь + mail2@mail.msk
* Питер + сантехник + mail1@mail.spb
* Питер + садовник + mail2@mail.spb
**/
class ModContactformMasterproMailSettings{
const DELIMETER_LINES = "\n";
const DELIMITER_FIELDS = ' + ';

private $_text;
private $arr;

	public function __construct($text){
		$this->_text = $text;
		$this->parse();
	}

	private function parse(){
		foreach(explode(self::DELIMETER_LINES, $this->_text) as $k => $v){
			$a = explode(self::DELIMITER_FIELDS, $v);
			$this->arr[trim($a[0])][trim($a[1])] = trim($a[2]);
		}
	}

	public function getAllCyties(){
		return array_keys($this->arr);
	}

	public function getAllVacancies(){
		return array_unique(call_user_func_array('array_merge', array_map(create_function('$x', 'return array_keys($x);'), array_values($this->arr))));
	}

	public function getMailByCityAndVacancy($city, $vacancy){
		return $this->arr[trim($city)][trim($vacancy)];
	}
}
?>